# Uses of Interface
org.eclipse.zest.core.widgets.SubgraphFactory

Packages that use SubgraphFactory
Package
Description
org.eclipse.zest.core.widgets

## Uses of SubgraphFactory in org.eclipse.zest.core.widgets

Classes in org.eclipse.zest.core.widgets that implement SubgraphFactory
Modifier and Type
Class
Description
`static class`
`DefaultSubgraph.DefaultSubgraphFactory`
Default factory for `DefaultSubgraph`.
`static class`
`DefaultSubgraph.LabelSubgraphFactory`
`static class`
`DefaultSubgraph.PrunedSuccessorsSubgraphFactory`
Factory for `PrunedSuccessorsSubgraph`.
`static class`
`DefaultSubgraph.TriangleSubgraphFactory`
Methods in org.eclipse.zest.core.widgets that return SubgraphFactory
Modifier and Type
Method
Description
`SubgraphFactory`
Graph.`getSubgraphFactory()`
Methods in org.eclipse.zest.core.widgets with parameters of type SubgraphFactory
Modifier and Type
Method
Description
`void`
Graph.`setSubgraphFactory(SubgraphFactory factory)`